Status: New Priority: Must have
Author: Christian Tauscher Category: File Abstraction Layer (FAL)
TYPO3 Version: 6.0
PHP Version:
Subject: typo3 crashes (with exeption) if a Image is deleted in fileadmin
Description

If you delete a image in fileadmin via ftp, the Error "File has been deleted." is trown.

This is true, and not a Bug at all (...as designed...) but I think this design is a bug.

It should still render the rest of the Content, without the image.

Stopping to work is not accepted by normal editors - they even dont understand this behavior.

Thank you,

Christian.

Related issues:
related to Core - Bug # 45779: Blank page/Exception when referenced images ar... Accepted 2013-02-23

History
#1 - 2013-02-27 20:22 - Andreas Wolf
- Category set to File Abstraction Layer (FAL)

#2 - 2013-03-05 14:19 - Dmitry Dulepov
- Status changed from New to Needs Feedback

I just tried that: it shows empty image. There is no crash.

What do you mean by "crash"? Could you post error messages or attach screnshots?

#3 - 2013-03-05 17:31 - Christian Tauscher

Dont delete this via fileadmin.

Delete or move the file via ftp.

TYPO3 does not track this change:

Uncaught TYPO3 Exception
#1329821485: File has been deleted. (More information)
RuntimeException thrown in file
/var/www/htdocs/typo3_src-6.0.1/typo3/sysext/core/Classes/Resource/AbstractFile.php in line 492.
30 TYPO3\CMS\Core\Resource\AbstractFile::getPublicUrl()
.....

If you need the whole crash-report, let me know.

Thank you for taking care of this.

#4 - 2013-03-06 00:10 - Stefan Galinski
- Status changed from Needs Feedback to Accepted

How to reproduce (in master):

    -  create an image/text element and add an image
    -  remove/move the referenced image
    -  open the page in the frontend --> crash on first call

#5 - 2013-03-21 22:19 - Benjamin Mack
- Status changed from Accepted to Needs Feedback

There is no error in the backend nor in the frontend with the latest master. Can you still reproduce?

#6 - 2013-03-25 16:37 - Christian Tauscher
- File t3-error.jpg added

Yes I still can reproduce this.

You have to be logged into the BE.

if you are not logged in then no error is given, but the rendering of the FE is wrong:
The missing image is rendered with wrong width/height.

Seems this values are taken from the database, the original-images sizes.

The given screenshot shows:

the row with images. Sould be 4 lines with each 3 pics in it.
the forst image was deleted.

look at the firebug output:

image fileadmin/editor/PSO011.jpg is missing, but the dimensions are the original images dimensions.

The with sould be "91px", see secound image opened.

hope this helps,
Christian.

#7 - 2013-06-30 20:40 - Jigal van Hemert
- Status changed from Needs Feedback to New

#8 - 2014-05-10 14:44 - Sebastian Fischer

Well the "should be" part i cant agree on. If the image is not available on the resizing should be done on some dimension. Unless the image gets
processed there are no new dimensions to add in the img tag. Thats why it gets rendered in "full" size.

Beside that is not what the issues is about originaly. If the size is a problem, please file a new issues with descriptive subject.

Files
t3-error.jpg 121.2 kB 2013-03-25 Christian Tauscher
